# One change to several sites > tidekeeper's API reference: https://tidekeeper.eu/docs/api/post-sites-bulk `POST /api/v1/sites/bulk` One change to several sites, answered site by site. ## What to send `BulkChange`: One change to several sites (doc/all-sites.md §3.6). - `change` (string, needed): `time_zone`, `keep_days`, `regions`, `pause`, `resume`, `copy_goals`, `note`, `group_add` or `group_remove`. - `day` (string): A note's day, `2026-10-28`; today when left out. - `from` (string): The site goals are copied from; a new group's name. - `name` (string) - `sites` (list of string, needed): The sites, by name or id. - `value` (string): What it is changed to: a time zone, days, `on` or `off`, a note's words, a group's id (or, to put the sites in a new group, empty with `name`). ## The answer 200, `BulkResult`: What a change to several sites did, site by site. - `change` (string, needed) - `done` (list of string, needed) - `refused` (list of BulkRefusal, needed) ## Asking ```sh curl -X POST https://tidekeeper.eu/api/v1/sites/bulk \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{"change": "…", "sites": []}' ```